package org.beetl.core.lab;

package ..deTemp.1733323164787;

import java.io.ByteArrayOutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.beetl.core.Configuration;
import org.beetl.core.Function;
import org.beetl.core.GroupTemplate;
import org.beetl.core.ResourceLoader;
import org.beetl.core.Template;
import org.beetl.core.lab.TestTag;
import org.beetl.core.lab.TestUser;
import org.beetl.core.resource.ClasspathResourceLoader;

public class Test {
  public static void main(String[] args) throws Exception {
    ClasspathResourceLoader resourceLoader = new ClasspathResourceLoader("org/beetl/core/lab/");
    Configuration cfg = Configuration.defaultConfiguration();
    cfg.setDirectByteOutput(true);
    cfg.getResourceMap().put("tagRoot", "/");
    cfg.getPkgList().add("org.beetl.core.lab.");
    GroupTemplate gt = new GroupTemplate((ResourceLoader)resourceLoader, cfg);
    gt.registerFunction("test", (Function)new TestFun());
    gt.registerTag("test", TestTag.class);
    List<TestUser> list = new ArrayList();
    list.add(null);
    list.add(new TestUser("abc"));
    HashMap<Object, Object> map = new HashMap<Object, Object>();
    map.put("key", Integer.valueOf(123));
    for (int i = 0; i < 1; i++) {
      Template t = gt.getTemplate("/hello.txt");
      t.binding("user", new TestUser("jo"));
      t.binding("id", Integer.valueOf(2));
      ByteArrayOutputStream bs = new ByteArrayOutputStream();
      try {
        t.renderTo(bs);
      } catch (Exception ex) {
        ex.printStackTrace();
      } 
      System.out.println(t.render());
    } 
  }
  
  public static void testOne() {}
  
  public static String getRealPath(ResourceLoader loader, String path) {
    String[] paths = path.split("/");
    Map<String, String> paras = new HashMap<String, String>();
    String realPath = "";
    for (String p : paths) {
      if (p.length() != 0 && !p.equals("/")) {
        String temp = realPath + "/" + p;
        boolean exist = loader.exist(temp);
        if (!exist) {
          temp = realPath + "/$$";
          exist = loader.exist(temp);
          if (!exist)
            return null; 
          realPath = temp;
        } else {
          realPath = temp;
        } 
      } 
    } 
    return realPath;
  }
}
